
%{

#include <stdio.h>
#include <strings.h>
#include "tokens.h"
#include "define.h"

static char  ctype[TYPE_LEN], namebuf[NAME_LEN];

%}

NAME		[^ #(),\t\n]+
COMMENT 	#[^\n]*\n

%%

{COMMENT}		{
			printf ("%s",yytext);
			}

=			{
			return ((int) '=');
			}

\(			{
			return ((int) '(');
			}
\)\n			{
			return ((int) ')');
			}


\)			{
			return ((int) ')');
			}

\,			{
			return ((int) ',');
			}

INPUT			{
			yylval.ival = INPUT;
			return (TINPUT);
			}

OUTPUT			{
			yylval.ival = OUTPUT;
			return (TOUTPUT);
			}

AND			{
			yylval.ival = AND;
			return (TAND);
			}	

NAND			{
			yylval.ival = NAND;
			return (TNAND);
			}	

OR			{
			yylval.ival = OR;
			return (TOR);
			}	

NOR			{
			yylval.ival = NOR;
			return (TNOR);
			}	

XOR			{
			yylval.ival = XOR;
			return (TXOR);
			}	

XNOR			{
			yylval.ival = XNOR;
			return (TXNOR);
			}	

BUFF			{
			yylval.ival = BUFF;
			return (TBUFF);
			}	

DFF			{
			yylval.ival = DFF;
			return (TDFF);
			}	

(NOT|INV)		{
			yylval.ival = NOT;
			return (TNOT);
			}	

{NAME}			{
			strcpy (namebuf,yytext);
			yylval.sval = namebuf;
			return (NAME);
			}

.			;
\n			puts ("");

%%

yywrap ()
   {

   return (1);
   }

